
;+ ***********************************************************************
; NAME:
;	OPEN_NRH_CFILE
;
; PURPOSE:
;	Cette procedure initialise les structures pour un fichier CFILE de NRH
;
; CATEGORY:
;	Fichier CFILE
;
; CALLING SEQUENCE:
;	OPEN_NRH_CFILE, File, Str_inf, Str_lim
;
; INPUTS:
;	FILE	Nom du fichier
;
;	
; KEYWORD PARAMETERS:
;	Non
;
; OUTPUTS:
;	STR_INF	Structure de type NRH_STR_INFIC
;	STR_LIM	Structure de type NRH_STR_LIM
;
; COMMON BLOCKS:
;	Non
;
; SIDE EFFECTS:
;	Describe "side effects" here.  There aren't any?  Well, just delete
;	this entry.
;
; RESTRICTIONS:
;	Describe any "restrictions" here.  Delete this section if there are
;	no important restrictions.
;
; PROCEDURE:
;	Cette procedure remplit uniquement
;		STR_INF.DATE, STR_LIM.HD, STR_LIM.HF
;
; EXAMPLE:
;	Please provide a simple example here
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin (obspm.fr) le 15/09/98
;-*******************************************************************

PRO OPEN_NRH_CFILE, File, Str_inf, Str_lim

		Header = HEADFITS( File)
			Str_inf.date = FXPAR( Header, 'DATE-OBS')
		H1 = HEADFITS( File, EXTEN = 1)
			Str_Lim.Hd = FXPAR ( H1, 'TIM_STR')
			Str_Lim.Hf = FXPAR ( H1, 'TIM_END')

END