PRO GET_LOBE_FROM_RH, file, freq, heure,rot_p
; EX GET_LOBE_FROM_RH, '/data/nancay/2q031028.01', 164., [10,30,00,00]
; calcule et imprime les paramètres du lobe pour une date, heure, fréquence
; à partir d'un fichier Nançay
;  un fichier de donnees est necessaire pour en extraire la date,
;   hmer et decl 
;rot_p: 0 sans rotation,   1 rotation de l'angle P

; correction par AK le 24/07/2014
; séquence d'appels à l'intialisation de malax compatible avec
; solarsoft
; la même que dans le calcul visibility to image dans NRH
@rh_common.inc
    if (not rh_open(file, /mono        )) then begin 
        print, 'File not FOUND : ', file
        return
    endif
; fabrication des arguments pour l'appel de init_malax_2D

ahmer=fltarr(3)
ahmer(0:2)=float(entfi.mer(0:2))
ahmer(2)=ahmer(2)+ float(entfi.mer(3))/100.

decsour=fltarr(3)
decsour(0:2) = float(entfi.dec(0:2))
; vraiment pas utile d'utiliser les fractions de secondes d'arc

sref=string(entfi.ref)

date_obs=entfi.dat

init_malax_2D,date_obs,ahmer,decsour,sref,rot_p

; rh_init_initmalax 
; appel périmé

 rh_ellipse_maille,ellipse, freq, heure
print,'    ELLIPSE    tableau contenant :'
print,'	        major axis,  minor axis (in solar_radii),  and angle in'
print,'	        degrees of the major axis with Ox axis.'
print,format=   $
   "(2(i2.2,'/'),i4.4,3x,f6.1,'MHz ',i2.2,':',i2.2,2f6.3,f6.1)",$
      entfi.dat, freq, heure(0:1)
print,format="(' ELLIPSE : ',2(f8.3,' R0'),3x,f6.1, ' degres')", ellipse
rh_close
end
