PRO NRHR_CTRLCAL, File, HDEB = Hdeb, DUREE= Duree

HD0= HEADFITS(File)
	Nfreq = FXPAR(Hd0, 'NFREQ')
	TCAL = FLTARR(4001, Nfreq)
	Lfreq = NRHR_LFREQ(Hd0)

SPEC = MRDFITS(File,1,Hd,/SILENT)
	Temps = Spec.time
	IF NOT KEYWORD_SET(HDEB) THEN BEGIN
		IDEB = 0 & HDMS = MSH(Temps[0])
	ENDIF ELSE BEGIN
		HDMS = HMS (Hdeb)
		IF Hdms LT Temps[0] THEN HDMS=Temps[0]
		IDEB = LONG(TIME_IND ( Temps, Hdms))
	ENDELSE
	IF KEYWORD_SET(DUREE) THEN $
		    IFIN=TIME_IND(Temps, Hdms+(LONG(Duree)*1000)) $
		ELSE  Ifin = (SIZE(Temps))[1]-1
 
	OPENR, Unit, 'calibration.bin', /GET_LUN, VAX_FLOAT
	READU, Unit, Nfr,Tcal
	CLOSE, Unit
	FREE_LUN, Unit

FOR I=0, Nfreq-1 DO BEGIN
	SPC = Spec.Frq[I]
	Spc = SPC[Ideb:Ifin]
	TC = Tcal[*,I]
	SORTIE = Tc[FIX(Spc*1000)]
	TR_TIME_NRH, Sortie, Temps[Ideb:Ifin],  $
				XLAB = STRING(Lfreq[I]) + '  MHz'
	R=DIALOG_MESSAGE('Frequence suivante',/QUESTION)
	IF R EQ 'No' THEN RETURN
ENDFOR

END
