
;+ ***********************************************************************
; NAME:
;	NRH_STR_LIM__DEFINE
;
; PURPOSE:
;	Definition de la structure STR_LIM, limites de traitement
;NRH_STR_LIM = {NRH_STR_LIM,
;		Hd:''		heure de debut de traitement
;		Hf:''		heure de fin de traitement
;		XD: 0,		Limite inferieure en X ou EW
;		XF: 0,		Limite superieure en X
;		YD: 0,		Limite inferieure en Y ou NS
;		YF: 0}		Limite superieure en Y
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin le 04/06/98
;-*******************************************************************

PRO NRH_STR_LIM__DEFINE

	NRH_STR_lim = {NRH_STR_LIM,$
		Hd:'', $
		Hf:'', $
		XD: 0, $
		XF: 0, $
 		YD: 0, $
		YF: 0}

END

