FUNCTION RH_NUM_CORREL, couple
;+
; Cette fonction renvoie le numero de la correlation (de 0 a entfi.nbcorel-1)
;  correspondant a un couple d'antennes. 
; A Bouteille 21 oct 2003
;  print, rh_num_correl(['ewE1','ew04'])
;  509
;-
@rh_common.inc
    nom_ant = strlowcase(rh_antenne(entfi.nbant))
    ind0 = where(nom_ant eq strlowcase(couple(0)),nc0)
    ind1 = where(nom_ant eq strlowcase(couple(1)),nc1)
    if ( nc0 eq -1 or nc1 eq -1) then begin
        print,' erreur nom d''antenne ? : ', couple
        return, -1
    endif
    for i=0, entfi.nbcorel-1 do begin
        if (entfi.corel(0,i) eq ind0) and $
           (entfi.corel(1,i) eq ind1)  then rh_num_correl = i
    endfor
;stop
    return, rh_num_correl
end
             
