
;+ ***********************************************************************
; NAME:
;	NRH_CTRLREP
;
; PURPOSE:
;	Cette procedure ajoute le caractere de separation des noms de repertoire s'il est
;	abscent en fin du nom du repertoire.
;	Elle fonctionne pour UNIS et WINDOWS
;
; CATEGORY:
;	Themis General
;
; CALLING SEQUENCE:
;	NRH_CTRLREP, Repert
;
; INPUTS:
;	REPERT	Nom du repertoire a controler
;	
; KEYWORD PARAMETERS:
;	Non	
;
; OUTPUTS:
;	REPERT	Nom du repertoire apres controle
;
; OPTIONAL OUTPUTS:
;	
; COMMON BLOCKS:
;	
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;	Ecrit par:Jean Bonmartin (Jean.Bonmartin@obspm.fr) Le 03/04/01
;-*******************************************************************

PRO NRH_CTRLREP, Rep

SEP= '/'
IF !VERSION.OS_FAMILY EQ 'Windows' THEN Sep = '\'

IF STRMID(Rep,STRLEN(rep)-1,1) NE Sep THEN $
	REP = Rep + Sep

END 